<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CheckAvailResults StructType
 * @subpackage Structs
 */
class JP_CheckAvailResults extends AbstractStructBase
{
    /**
     * The CruiseResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseCheckAvailResult
     */
    public $CruiseResult;
    /**
     * The FlightResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightCheckAvailResult
     */
    public $FlightResult;
    /**
     * The HotelResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelCheckAvailResult
     */
    public $HotelResult;
    /**
     * The InsuranceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceCheckAvailResult
     */
    public $InsuranceResult;
    /**
     * The PackageResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageResult
     */
    public $PackageResult;
    /**
     * The RentacarResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarCheckAvailResult
     */
    public $RentacarResult;
    /**
     * The ServiceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceCheckAvailResult
     */
    public $ServiceResult;
    /**
     * The TransferResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferCheckAvailResult
     */
    public $TransferResult;
    /**
     * The VisaResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaCheckAvailResult
     */
    public $VisaResult;
    /**
     * Constructor method for JP_CheckAvailResults
     * @uses JP_CheckAvailResults::setCruiseResult()
     * @uses JP_CheckAvailResults::setFlightResult()
     * @uses JP_CheckAvailResults::setHotelResult()
     * @uses JP_CheckAvailResults::setInsuranceResult()
     * @uses JP_CheckAvailResults::setPackageResult()
     * @uses JP_CheckAvailResults::setRentacarResult()
     * @uses JP_CheckAvailResults::setServiceResult()
     * @uses JP_CheckAvailResults::setTransferResult()
     * @uses JP_CheckAvailResults::setVisaResult()
     * @param \StructType\JP_CruiseCheckAvailResult $cruiseResult
     * @param \StructType\JP_FlightCheckAvailResult $flightResult
     * @param \StructType\JP_HotelCheckAvailResult $hotelResult
     * @param \StructType\JP_InsuranceCheckAvailResult $insuranceResult
     * @param \StructType\JP_PackageResult $packageResult
     * @param \StructType\JP_RentacarCheckAvailResult $rentacarResult
     * @param \StructType\JP_ServiceCheckAvailResult $serviceResult
     * @param \StructType\JP_TransferCheckAvailResult $transferResult
     * @param \StructType\JP_VisaCheckAvailResult $visaResult
     */
    public function __construct(\StructType\JP_CruiseCheckAvailResult $cruiseResult = null, \StructType\JP_FlightCheckAvailResult $flightResult = null, \StructType\JP_HotelCheckAvailResult $hotelResult = null, \StructType\JP_InsuranceCheckAvailResult $insuranceResult = null, \StructType\JP_PackageResult $packageResult = null, \StructType\JP_RentacarCheckAvailResult $rentacarResult = null, \StructType\JP_ServiceCheckAvailResult $serviceResult = null, \StructType\JP_TransferCheckAvailResult $transferResult = null, \StructType\JP_VisaCheckAvailResult $visaResult = null)
    {
        $this
            ->setCruiseResult($cruiseResult)
            ->setFlightResult($flightResult)
            ->setHotelResult($hotelResult)
            ->setInsuranceResult($insuranceResult)
            ->setPackageResult($packageResult)
            ->setRentacarResult($rentacarResult)
            ->setServiceResult($serviceResult)
            ->setTransferResult($transferResult)
            ->setVisaResult($visaResult);
    }
    /**
     * Get CruiseResult value
     * @return \StructType\JP_CruiseCheckAvailResult|null
     */
    public function getCruiseResult()
    {
        return $this->CruiseResult;
    }
    /**
     * Set CruiseResult value
     * @param \StructType\JP_CruiseCheckAvailResult $cruiseResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setCruiseResult(\StructType\JP_CruiseCheckAvailResult $cruiseResult = null)
    {
        $this->CruiseResult = $cruiseResult;
        return $this;
    }
    /**
     * Get FlightResult value
     * @return \StructType\JP_FlightCheckAvailResult|null
     */
    public function getFlightResult()
    {
        return $this->FlightResult;
    }
    /**
     * Set FlightResult value
     * @param \StructType\JP_FlightCheckAvailResult $flightResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setFlightResult(\StructType\JP_FlightCheckAvailResult $flightResult = null)
    {
        $this->FlightResult = $flightResult;
        return $this;
    }
    /**
     * Get HotelResult value
     * @return \StructType\JP_HotelCheckAvailResult|null
     */
    public function getHotelResult()
    {
        return $this->HotelResult;
    }
    /**
     * Set HotelResult value
     * @param \StructType\JP_HotelCheckAvailResult $hotelResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setHotelResult(\StructType\JP_HotelCheckAvailResult $hotelResult = null)
    {
        $this->HotelResult = $hotelResult;
        return $this;
    }
    /**
     * Get InsuranceResult value
     * @return \StructType\JP_InsuranceCheckAvailResult|null
     */
    public function getInsuranceResult()
    {
        return $this->InsuranceResult;
    }
    /**
     * Set InsuranceResult value
     * @param \StructType\JP_InsuranceCheckAvailResult $insuranceResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setInsuranceResult(\StructType\JP_InsuranceCheckAvailResult $insuranceResult = null)
    {
        $this->InsuranceResult = $insuranceResult;
        return $this;
    }
    /**
     * Get PackageResult value
     * @return \StructType\JP_PackageResult|null
     */
    public function getPackageResult()
    {
        return $this->PackageResult;
    }
    /**
     * Set PackageResult value
     * @param \StructType\JP_PackageResult $packageResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setPackageResult(\StructType\JP_PackageResult $packageResult = null)
    {
        $this->PackageResult = $packageResult;
        return $this;
    }
    /**
     * Get RentacarResult value
     * @return \StructType\JP_RentacarCheckAvailResult|null
     */
    public function getRentacarResult()
    {
        return $this->RentacarResult;
    }
    /**
     * Set RentacarResult value
     * @param \StructType\JP_RentacarCheckAvailResult $rentacarResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setRentacarResult(\StructType\JP_RentacarCheckAvailResult $rentacarResult = null)
    {
        $this->RentacarResult = $rentacarResult;
        return $this;
    }
    /**
     * Get ServiceResult value
     * @return \StructType\JP_ServiceCheckAvailResult|null
     */
    public function getServiceResult()
    {
        return $this->ServiceResult;
    }
    /**
     * Set ServiceResult value
     * @param \StructType\JP_ServiceCheckAvailResult $serviceResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setServiceResult(\StructType\JP_ServiceCheckAvailResult $serviceResult = null)
    {
        $this->ServiceResult = $serviceResult;
        return $this;
    }
    /**
     * Get TransferResult value
     * @return \StructType\JP_TransferCheckAvailResult|null
     */
    public function getTransferResult()
    {
        return $this->TransferResult;
    }
    /**
     * Set TransferResult value
     * @param \StructType\JP_TransferCheckAvailResult $transferResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setTransferResult(\StructType\JP_TransferCheckAvailResult $transferResult = null)
    {
        $this->TransferResult = $transferResult;
        return $this;
    }
    /**
     * Get VisaResult value
     * @return \StructType\JP_VisaCheckAvailResult|null
     */
    public function getVisaResult()
    {
        return $this->VisaResult;
    }
    /**
     * Set VisaResult value
     * @param \StructType\JP_VisaCheckAvailResult $visaResult
     * @return \StructType\JP_CheckAvailResults
     */
    public function setVisaResult(\StructType\JP_VisaCheckAvailResult $visaResult = null)
    {
        $this->VisaResult = $visaResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CheckAvailResults
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
